define(["require", "exports", "tslib", "react", "@fluentui/utilities", "./ThemeContext"], function (require, exports, tslib_1, React, utilities_1, ThemeContext_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.renderThemeProvider = void 0;
    var renderThemeProvider = function (state) {
        var customizerContext = state.customizerContext, ref = state.ref, theme = state.theme;
        var Root = state.as || 'div';
        var rootProps = typeof state.as === 'string'
            ? (0, utilities_1.getNativeElementProps)(state.as, state)
            : state.as === React.Fragment
                ? { children: state.children }
                : (0, utilities_1.omit)(state, ['as']);
        return (React.createElement(ThemeContext_1.ThemeContext.Provider, { value: theme },
            React.createElement(utilities_1.CustomizerContext.Provider, { value: customizerContext },
                React.createElement(utilities_1.FocusRectsProvider, { providerRef: ref },
                    React.createElement(Root, tslib_1.__assign({}, rootProps))))));
    };
    exports.renderThemeProvider = renderThemeProvider;
});
//# sourceMappingURL=renderThemeProvider.js.map